nV News Forums

 
 

nV News Forums (http://www.nvnews.net/vbulletin/index.php)
-   NVIDIA Linux (http://www.nvnews.net/vbulletin/forumdisplay.php?f=14)
-   -   169.04 and Rawhide - heads up and 2 questions... (http://www.nvnews.net/vbulletin/showthread.php?t=102760)

valdis 11-20-07 08:51 AM

169.04 and Rawhide - heads up and 2 questions...
 
169.04 works for me on a Dell Latitude D820 laptop (chipset is a Quadro NVS 110M) in 64-bit using the Fedora 8 xorg-x11. However, Friday's Rawhide upped the xorg API number to 3 (in RPM xorg-x11-server-Xorg.x86_64 1.4.99.1-0.10.fc9), and the nvidia driver refuses to load due to the API mismatch (setting IgnoreABI results in a very quick and ugly crash of the X server - alt-sysrq still works, network still works, but black screen and alt-pf[1-7] don't work)

Question:

What's the timeline for an NVidia driver that knows about the API change?

(No rush, I'm just going to stick an 'exclude=xorg-x11-server-*' in my Yum config till something happens)

AaronP 11-20-07 11:55 AM

Re: 169.04 and Rawhide - heads up and 2 questions...
 
The ABI has not yet been finalized and until it has, I can't even speculate on when a driver that officially supports it can be released. In the meantime, you may be able to get away with -ignoreABI with 169.04 if you disable RenderAccel, but remember that -ignoreABI is not supported and not recommended.

valdis 11-20-07 05:54 PM

Re: 169.04 and Rawhide - heads up and 2 questions...
 
OK, I can live with that as an answer. After over a quarter century in this business, I'm *very* aware that writing code to spec is a whole lot like walking on water - both are a lot easier once it's frozen. It's something that will only matter to Rawhide users until Fedora 9 escapes, and that's a good 6 months away still, so no really big rush....


All times are GMT -5. The time now is 12:32 AM.

Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.